Subject: Re: [PATCH v2 1/2] ARM: dts: owl-s500: Add ethernet support

From: Manivannan Sadhasivam <[email-masked]>
Date: Mon, 28 Jun 2021 13:01:24 +0530

On Mon, Jun 28, 2021 at 10:02:34AM +0300, Cristian Ciocaltea wrote:
> Hi Mani,
> 
> On Mon, Jun 28, 2021 at 11:52:35AM +0530, Manivannan Sadhasivam wrote:
> > Hi Cristi,
> > 
> > On Wed, Jun 16, 2021 at 09:30:13PM +0800, kernel test robot wrote:
> > > Hi Cristian,
> > > 
> > > I love your patch! Yet something to improve:
> > > 
> > > [auto build test ERROR on robh/for-next]
> > > [also build test ERROR on v5.13-rc6 next-20210615]
> > > [If your patch is applied to the wrong git tree, kindly drop us a note.
> > > And when submitting patch, we suggest to use '--base' as documented in
> > > https://git-scm.com/docs/git-format-patch]
> > > 
> > > url:    https://github.com/0day-ci/linux/commits/Cristian-Ciocaltea/Add-Ethernet-DTS-for-Actions-Semi-Owl-S500-SoCs/20210616-121106
> > > base:   https://git.kernel.org/pub/scm/linux/kernel/git/robh/linux.git for-next
> > > config: arm-randconfig-r025-20210615 (attached as .config)
> > > compiler: arm-linux-gnueabi-gcc (GCC) 9.3.0
> > > reproduce (this is a W=1 build):
> > >         wget https://raw.githubusercontent.com/intel/lkp-tests/master/sbin/make.cross -O ~/bin/make.cross
> > >         chmod +x ~/bin/make.cross
> > >         # https://github.com/0day-ci/linux/commit/87e17f86112592e0805d0a081914f7b2eeb2770d
> > >         git remote add linux-review https://github.com/0day-ci/linux
> > >         git fetch --no-tags linux-review Cristian-Ciocaltea/Add-Ethernet-DTS-for-Actions-Semi-Owl-S500-SoCs/20210616-121106
> > >         git checkout 87e17f86112592e0805d0a081914f7b2eeb2770d
> > >         # save the attached .config to linux build tree
> > >         COMPILER_INSTALL_PATH=$HOME/0day COMPILER=gcc-9.3.0 make.cross ARCH=arm 
> > > 
> > > If you fix the issue, kindly add following tag as appropriate
> > > Reported-by: kernel test robot <[email-masked]>
> > > 
> > > All errors (new ones prefixed by >>):
> > > 
> > > >> Error: arch/arm/boot/dts/owl-s500.dtsi:332.19-20 syntax error
> > > >> FATAL ERROR: Unable to parse input tree
> > 
> > Did you look into this error? Looks like CLK_ETHERNET is not defined in
> > the s500 CMU binding.
> 
> CLK_ETHERNET is introduced through patches 5 & 6 from the patch series:
> "[PATCH v3 0/6] Improve clock support for Actions S500 SoC"
> 
> Most probably those patches were not applied to the tested kernel tree
> and that's why the robot reported the error.
> 

Ah, okay. I didn't see it. Then I'll just push the dts changes and see
if they get applied for 5.14.

Thanks,
Mani

> Thanks,
> Cristi
> 
> > Today I saw that the clk patches are applied but then it is later for me
> > to send the dts patches for v5.14. So please fix this error and
> > resubmit, I'll take them for v5.15.
> > 
> > Thanks,
> > Mani
> > 
> > > 
> > > ---
> > > 0-DAY CI Kernel Test Service, Intel Corporation
> > > https://lists.01.org/hyperkitty/list/[email-masked]
> > 
> > 

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel